Bug 183065 - Yum errors at "yum update" on G5 tower (PowerMac 9.1).
Yum errors at "yum update" on G5 tower (PowerMac 9.1).
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
5
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-25 17:24 EST by Brian Durant
Modified: 2014-01-21 17:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 20:36:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Durant 2006-02-25 17:24:02 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Brian Durant 2006-02-25 17:28:12 EST
Woops, something happened here. I wasn't finished with the report. " sudo yum
update" returned the following errors:

*** glibc detected *** /sbin/grubby: free(): invalid pointer: 0xfff08fa0 ***
======= Backtrace: =========
/lib/libc.so.6[0xf63e7e4]
/lib/libc.so.6(__libc_free+0xc8)[0xf641d58]
/sbin/grubby[0x10008c58]
/sbin/grubby[0x10008ec4]
/sbin/grubby[0x10009bc8]
/lib/libc.so.6[0xf5dd600]
/lib/libc.so.6(__libc_start_main+0x144)[0xf5dd824]
======= Memory map: ========
00100000-00103000 r-xp 00100000 00:00 0
0f5c0000-0f71b000 r-xp 00000000 08:03 99975                             
/lib/libc-2.3.90.so
0f71b000-0f72a000 ---p 0015b000 08:03 99975                             
/lib/libc-2.3.90.so
0f72a000-0f72e000 r--p 0015a000 08:03 99975                             
/lib/libc-2.3.90.so
0f72e000-0f72f000 rw-p 0015e000 08:03 99975                             
/lib/libc-2.3.90.so
0f72f000-0f732000 rw-p 0f72f000 00:00 0
0ffc0000-0ffdd000 r-xp 00000000 08:03 99974                             
/lib/ld-2.3.90.so
0ffed000-0ffee000 r--p 0001d000 08:03 99974                             
/lib/ld-2.3.90.so
0ffee000-0ffef000 rw-p 0001e000 08:03 99974                             
/lib/ld-2.3.90.so
10000000-1004e000 r-xp 00000000 08:03 1258171                           
/sbin/grubby
1005d000-10060000 rw-p 0004d000 08:03 1258171                           
/sbin/grubby
10060000-10089000 rwxp 10060000 00:00 0                                  [heap]
f7fee000-f7fef000 rw-p f7fee000 00:00 0
f7ffe000-f7fff000 rw-p f7ffe000 00:00 0
ffef5000-fff0a000 rw-p ffef5000 00:00 0                                 
[stack]/sbin/new-kernel-pkg: line 89:  3601 Aborted                 /sbin/grubby
--add-kernel=$bootPrefix/$kernelName-$version $INITRD --copy-default
$makedefault --title $version --args="root=$rootdevice $kernargs"
--remove-kernel="TITLE=$version


 Updating  : firefox                      ####################### [32/94]
/var/tmp/rpm-tmp.82809: line 8: cd: /usr/lib64/firefox-1.5.0.1/extensions: No
such file or directory
mkdir: cannot create directory `beagle-extension': File exists
unzip:  cannot find or open /usr/lib64/beagle/beagle.xpi,
/usr/lib64/beagle/beagle.xpi.zip or /usr/lib64/beagle/beagle.xpi.ZIP.
grep: beagle-extension/install.rdf: No such file or directory
mv: target `' is not a directory: No such file or directory
error: %trigger(beagle-0.2.1-11.ppc) scriptlet failed, exit status 1


/sbin/restorecon reset /etc/selinux/targeted/modules/semanage.read.LOCK context
system_u:object_r:unlabeled_t->system_u:object_r:semanage_read_lock_t
/sbin/restorecon reset /etc/selinux/targeted/modules/previous/base.pp context
system_u:object_r:unlabeled_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset
/etc/selinux/targeted/modules/previous/file_contexts.template context
system_u:object_r:unlabeled_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/previous/seusers.final
context system_u:object_r:unlabeled_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/previous/users_extra
context system_u:object_r:unlabeled_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/previous/policy.kern
context system_u:object_r:unlabeled_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/previous/file_contexts
context system_u:object_r:unlabeled_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/previous/commit_num context
system_u:object_r:unlabeled_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/previous/base.linked
context system_u:object_r:unlabeled_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/previous/booleans.local
context system_u:object_r:unlabeled_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/previous/seusers context
user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/previous/homedir_template
context system_u:object_r:unlabeled_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/semanage.trans.LOCK context
system_u:object_r:unlabeled_t->system_u:object_r:semanage_trans_lock_t
/sbin/restorecon reset /etc/selinux/targeted/modules/active/base.pp context
user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset
/etc/selinux/targeted/modules/active/file_contexts.template context
user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/active/seusers.final
context user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/active/users_extra context
user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/active/policy.kern context
user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/active/file_contexts
context user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/active/commit_num context
user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/active/base.linked context
user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/active/booleans.local
context user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/active/seusers context
user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /etc/selinux/targeted/modules/active/homedir_template
context user_u:object_r:selinux_config_t->system_u:object_r:semanage_store_t
/sbin/restorecon reset /usr/sbin/semodule context
system_u:object_r:unlabeled_t->system_u:object_r:semanage_exec_t
/sbin/restorecon reset /usr/share/selinux/devel/policygentool context
system_u:object_r:usr_t->system_u:object_r:bin_t


Removed: kernel.ppc64 0:2.6.15-1.1955_FC5
Installed: kernel.ppc64 0:2.6.15-1.1977_FC5
Updated: NetworkManager.ppc 0:0.5.1-14.cvs20060221 NetworkManager-glib.ppc
0:0.5.1-14.cvs20060221 NetworkManager-gnome.ppc 0:0.5.1-14.cvs20060221
bluez-libs.ppc 0:2.25-1 chkconfig.ppc 0:1.3.29-1 cpuspeed.ppc 1:1.2.1-1.33
e2fsprogs.ppc 0:1.38-9 e2fsprogs-libs.ppc 0:1.38-9 e2fsprogs-libs.ppc64 0:1.38-9
evolution-data-server.ppc 0:1.5.91-1 firefox.ppc 0:1.5.0.1-5 freeglut.ppc
0:2.4.0-4 freeglut.ppc64 0:2.4.0-4 gdm.ppc 1:2.13.0.8-5 gettext.ppc 0:0.14.5-3
glib2.ppc 0:2.10.0-1 glib2.ppc64 0:2.10.0-1 gnome-applets.ppc 1:2.13.4-4
gnome-games.ppc 1:2.13.8-1 gnome-mount.ppc 0:0.4-2 gnome-volume-manager.ppc
0:1.5.13-3 gtk2.ppc 0:2.8.12-8 gtk2.ppc64 0:2.8.12-8 gtk2-engines.ppc64
0:2.7.4-2 gtk2-engines.ppc 0:2.7.4-2 hal.ppc 0:0.5.7-1 hal.ppc64 0:0.5.7-1
hwdata.noarch 0:0.177-1 libX11.ppc 0:1.0.0-3 libX11.ppc64 0:1.0.0-3 mkinitrd.ppc
0:5.0.28-1 nautilus-cd-burner.ppc 0:2.13.91-2 nss_db.ppc64 0:2.2-35 nss_db.ppc
0:2.2-35 nss_ldap.ppc64 0:249-1 nss_ldap.ppc 0:249-1 ntsysv.ppc 0:1.3.29-1
policycoreutils.ppc 0:1.29.26-2 rhpl.ppc 0:0.183-1 selinux-policy.noarch
0:2.2.21-7 selinux-policy-targeted.noarch 0:2.2.21-7 udev.ppc 0:084-6
xorg-x11-apps.ppc 0:1.0.1-2 xorg-x11-drv-vga.ppc 0:4.0.0.5-2
xorg-x11-xkbdata.noarch 0:1.0.1-4 yum.noarch 0:2.5.3-2
Complete!

The update was run about 2 hours ago. I am a newbie, so I don't know if there is
anything fatal here or how to solve it.
Comment 2 Seth Vidal 2006-02-25 17:30:18 EST
reassigning to grub though I think this is lower level than that.

Comment 3 Kevin Fenzi 2007-03-24 00:59:55 EDT
Hey Brian. Are you still seeing this with fc6 and/or current development?

I wonder if this is related to the issue I was seeing where my pram battery was
dead, the time was showing as 1904, and rpm was very unhappy with it's tmp files. 
Comment 4 Matthew Miller 2007-04-06 14:50:46 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 5 petrosyan 2008-03-10 20:36:01 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.